LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 11-15-2009, 12:00 AM   #1
7mza
Member
 
Registered: May 2008
Location: Jordan
Distribution: use fedora but prefer Slackware
Posts: 98

Rep: Reputation: 15
problem with realplayer


hi everyone ,
i installed and realplayer using yum command , but when i try to open realplayer it give me this error
[root@Hamzah-PC Download]# realplay
/opt/real/RealPlayer/realplay.bin: error while loading shared libraries: libgdk-x11-2.0.so.0: cannot open shared object file: No such file or directory

and when try to install gtk2-2.18.3-21.fc12.i686.rpm package it give me those dependency package !
[root@Hamzah-PC Download]# rpm -ivh gtk2-2.18.3-21.fc12.i686.rpm
warning: gtk2-2.18.3-21.fc12.i686.rpm: Header V3 RSA/SHA256 signature: NOKEY, key ID 57bbccba
error: Failed dependencies:
glib2 >= 2.21.3-1 is needed by gtk2-2.18.3-21.fc12.i686
libXcomposite.so.1 is needed by gtk2-2.18.3-21.fc12.i686
libXcursor.so.1 is needed by gtk2-2.18.3-21.fc12.i686
libXi.so.6 is needed by gtk2-2.18.3-21.fc12.i686
libXinerama.so.1 is needed by gtk2-2.18.3-21.fc12.i686
libXrandr.so.2 is needed by gtk2-2.18.3-21.fc12.i686
libXrender.so.1 is needed by gtk2-2.18.3-21.fc12.i686
libatk-1.0.so.0 is needed by gtk2-2.18.3-21.fc12.i686
libc.so.6(GLIBC_2.11) is needed by gtk2-2.18.3-21.fc12.i686
libcairo.so.2 is needed by gtk2-2.18.3-21.fc12.i686
libcups.so.2 is needed by gtk2-2.18.3-21.fc12.i686
libfontconfig.so.1 is needed by gtk2-2.18.3-21.fc12.i686
libgio-2.0.so.0 is needed by gtk2-2.18.3-21.fc12.i686
libglib-2.0.so.0 is needed by gtk2-2.18.3-21.fc12.i686
libgmodule-2.0.so.0 is needed by gtk2-2.18.3-21.fc12.i686
libgobject-2.0.so.0 is needed by gtk2-2.18.3-21.fc12.i686
libjasper.so.1 is needed by gtk2-2.18.3-21.fc12.i686
libpango-1.0.so.0 is needed by gtk2-2.18.3-21.fc12.i686
libpangocairo-1.0.so.0 is needed by gtk2-2.18.3-21.fc12.i686
libpangoft2-1.0.so.0 is needed by gtk2-2.18.3-21.fc12.i686
libpng12.so.0 is needed by gtk2-2.18.3-21.fc12.i686
libpng12.so.0(PNG12_0) is needed by gtk2-2.18.3-21.fc12.i686
libtiff.so.3 is needed by gtk2-2.18.3-21.fc12.i686
rpmlib(PayloadIsXz) <= 5.2-1 is needed by gtk2-2.18.3-21.fc12.i686


how to slove this !
i have to install each package alone ?! am using F11

Last edited by 7mza; 11-15-2009 at 12:03 AM.
 
Old 11-15-2009, 01:02 AM   #2
Mr-Bisquit
Member
 
Registered: Feb 2009
Distribution: FreeBSD, OpenBSD, NetBSD, Debian, Fedora
Posts: 770
Blog Entries: 52

Rep: Reputation: 68
You need to reload the repository keys. Your yum.conf file and sources list will have the websites. Redownload all keys then upgrade yum.
Try updating realplayer and its dependencies, not everything.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Realplayer misery - won't uninstall; Realplayer streams trying to play in Kaffeine brianeanna Linux - Desktop 1 02-16-2007 06:01 PM
RealPlayer 10 Problem theb1k45 Linux - Newbie 1 06-18-2006 08:46 AM
realplayer problem anupamcbr Linux - Newbie 3 04-09-2006 04:06 PM
RealPlayer problem draggin Linux - Software 3 02-06-2005 03:51 PM
RealPlayer 8 problem Nylex Linux - Software 2 07-22-2003 01:37 PM


All times are GMT -5. The time now is 08:36 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration